Get the tasks of a task type on the entities where a person has assigned tasks. An administrator gets the tasks of all the open projects. Other users get only the tasks in the open projects of their own teams. Clients and vendors get an empty list. A vendor can ask only for their own tasks. You cannot read the tasks of a bot.
GET
/data/persons/{person_id}/related-tasks/{task_type_id}
curl
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/related-tasks/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/related-tasks/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Asset Modeling",
"task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"task_status_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"entity_id": "d24a6ea4-ce75-4665-a070-57453082c250",
"project_id": "e24a6ea4-ce75-4665-a070-57453082c250",
"assignees": [
"f24a6ea4-ce75-4665-a070-57453082c250"
]
}
]